Package SimPy :: Module SimPlot :: Class GraphBars

[hide private]
[frames] | no frames]

# Class GraphBars

source code

    GraphPoints --+
                  |
                 GraphBars

Instance Methods | [hide private]

`` | __init__(self, points, **attr)
`` | draw(self, canvas)
Inherited from `GraphPoints`: `boundingBox`, `fitToScale`

Class Variables | [hide private]

`` | _attributes = `{'outline': 'black', 'color': 'black', 'fillstyle': ...`

Method Details | [hide private]

### __init__(self, points, **attr)
(Constructor)

source code

None

  Overrides: GraphPoints.__init__

### draw(self, canvas)

source code

None

Class Variable Details | [hide private]

### _attributes

None

  Value:

        {'color': 'black',
         'fillcolor': 'black',
         'fillstyle': '',
         'outline': 'black',
         'size': 3,
         'width': 1}